opensaml::CommonDomainCookie Class Reference

Helper class for maintaining discovery cookie. More...

`#include <shibsp/lite/CommonDomainCookie.h>`

## Public Member Functions

| CommonDomainCookie (const char *cookie)
| Parses a cookie for reading or writing.
const std::vector< std::string > & | get () const
| Returns list of IdPs stored in cookie.
const char * | set (const char *entityID)
| Adds/moves an IdP to the front of the list.

## Static Public Attributes

static const char | CDCName []
| Name of cookie ("_saml_idp").

## Detailed Description

Helper class for maintaining discovery cookie.

## Constructor & Destructor Documentation

## CommonDomainCookie()

opensaml::CommonDomainCookie::CommonDomainCookie | ( | const char * | cookie | ) |

Parses a cookie for reading or writing.

Parameters

  cookie | the raw cookie value

## Member Function Documentation

## get()

const std::vector< std::string > & opensaml::CommonDomainCookie::get | ( |  | ) | const

Returns list of IdPs stored in cookie.

Returns
  reference to vector of entityIDs

## set()

const char * opensaml::CommonDomainCookie::set | ( | const char * | entityID | ) |

Adds/moves an IdP to the front of the list.

Parameters

  entityID | name of IdP to add

Returns
  new value of cookie

The documentation for this class was generated from the following file:

- shibsp/lite/CommonDomainCookie.h